Bug 478818 - yum mirrorlist error
yum mirrorlist error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 05:48 EST by Filip Bartmann
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 14:18:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Bartmann 2009-01-05 05:48:05 EST
Description of problem:
yum fails when trying update rawhide

Version-Release number of selected component (if applicable):
yum --version
3.2.20
  Installed: yum-metadata-parser-1.1.2-11.fc11.i386 at 2009-01-04 17:37
  Built    : Fedora Project at 2008-11-29 05:09
  Committed: Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> at 2008-11-29 22:00

  Installed: yum-3.2.20-8.fc11.noarch at 2009-01-04 17:38
  Built    : Fedora Project at 2008-12-18 20:45
  Committed: James Antill <james@fedoraproject.org> at 2008-12-18 22:00

  Installed: rpm-4.6.0-0.rc3.2.fc11.i386 at 2009-01-04 17:24
  Built    : Fedora Project at 2008-12-12 19:00
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-12-12 22:00


How reproducible:
allways

Steps to Reproduce:
1.Install Fedora witch packages from rawhide
2.Run yum update
3.
  
Actual results:
Yum update ends with this error:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 104, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 339, in doCommands
    self._getTs(needTsRemove)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 101, in _getTs
    self._getTsInfo(remove_only)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 112, in _getTsInfo
    pkgSack = self.pkgSack
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 592, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 435, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.6/site-packages/yum/repos.py", line 251, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 162, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 223, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1147, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1305, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1297, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1287, in _loadRepoXML
    return self._groupLoadRepoXML(text, ["primary"])
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1271, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1122, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 904, in _getFileRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 744, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 497, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 492, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 481, in _setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 602, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 599, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 556, in _baseurlSetup
    mirrorurls.extend(self._getMirrorList())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1532, in _getMirrorList
    print "Could not retrieve mirrorlist %s error was\n%s" % (url, e)
  File "/usr/lib/python2.6/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 156: ordinal not in range(128)

Expected results:
running yum update

Additional info:
If I try to use baseurl instead of mirrorlist I had this error: 
 yum update
Loaded plugins: refresh-packagekit
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rawhide. Please verify its path and try again
Comment 1 seth vidal 2009-01-21 13:58:07 EST
Please try yum 3.2.21-3.fc11 from rawhide. I believe there are some missing error messages here which may help us.
Comment 2 seth vidal 2009-03-03 15:37:41 EST
please try the latest yum and let us know if you're still seeing this error. I think we've gotten some of them fixed.
Comment 3 James Antill 2009-03-06 14:18:08 EST
1.Install Fedora witch packages from rawhide

 Also note that if you install the fgedora-release from rawhide the version of yum you have cannot handle it you need at least 3.2.21-12.

Note You need to log in before you can comment on or make changes to this bug.